import request from '@/utils/request'

// 消息翻页
export const getMessagesPageList = (params: any) =>
  request({
    url: '/manage/messages',
    method: 'get',
    params
  })

// 消息资料
export const getMessageDetail = (id: number) =>
  request({
    url: `/manage/messages/${id}`,
    method: 'get'
  })

// 消息置顶
export const setMessagesTop = (id: number) =>
  request({
    url: `/manage/messages/${id}/top`,
    method: 'post'
  })

// 消息取消置顶
export const setMessagesUnTop = (id: number) =>
  request({
    url: `/manage/messages/${id}/untop`,
    method: 'post'
  })

// 消息通过
export const setMessagesPass = (data: any) =>
  request({
    url: `/manage/messages/pass`,
    method: 'post',
    data
  })

// 消息拒绝
export const setMessagesReject = (data: any) =>
  request({
    url: `/manage/messages/reject`,
    method: 'post',
    data
  })

// 消息撤销
export const setMessagesRevocation = (data: any) =>
  request({
    url: `/manage/messages/revocation`,
    method: 'post',
    data
  })
