// 面板 - 概要统计信息
export interface IDashboardSummaryEntity {
  cumulativeUsers?: number;
  activePassMonth?: number;
  activePassWeek?: number;
  newUsersToday?: number;
  newUsersTodayRate?: number;
  loginTimesToday?: number;
  loginTimesTodayRate?: number;
  activeUsersToday?: number;
  activeUsersTodayRate?: number;
  useTimePassWeek?: number;
  activeUsersYesterday?: number;
  activeUsersYesterdayRate?: number;
}

// 面板 - 新增、活跃用户、次日留存率
export interface IDashboardUsersEntity {
  thisYear?: IDashboardDataItemEntity[];
  lastYear?: IDashboardDataItemEntity[];
}

// 面板 - 注册用户分布，行业top、年龄、性别、地区
export interface IDashboardDistributionEntity {
  industryDistribution?: IDashboardDataItemEntity[];
  ageDistribution?: IDashboardDataItemEntity[];
  genderDistribution?: IDashboardDataItemEntity[];
  localDistribution?: IDashboardDataItemEntity[];
  localTotal?: IDashboardDataItemEntity[];
}

// 面板 - 数据项
export interface IDashboardDataItemEntity {
  title: string;
  amount: number;
}

// 面板 - 数据项
export interface IChartSeriesDataEntity {
  name: string;
  value: number;
}

// 用户登录
export interface ILoginResponseEntity {
  token: string;
}

// 用户信息 profile
export interface IUserProfileEntity {
  uid?: number;
  name: string;
  avatar: string;
  introduction?: string;
  email?: string;
  phone?: string;
  roles?: string[];
}

// json 城市数据
export interface IJsonCityEntity {
  code: string;
  level: number;
  name: string;
  areaList?: IJsonCityEntity[];
}

// 系统中使用的 城市数据
export interface IBaseCityListEntity {
  label?: string;
  value?: string;
  children?: IBaseCityListEntity[];
}

export interface IArticleData {
  id: number
  status: string
  title: string
  abstractContent: string
  fullContent: string
  sourceURL: string
  imageURL: string
  timestamp: string | number
  platforms: string[]
  disableComment: boolean
  importance: number
  author: string
  reviewer: string
  type: string
  pageviews: number
}

// 用户翻页
export interface IManageUserPageListEntity {
  counts?: number;
  pagesize?: number;
  pages?: number;
  page?: number;
  items?: IManageUserPageListItemEntity[];
}

// 用户翻页-项
export interface IManageUserPageListItemEntity {
  id?: number;
  nickname?: string;
  mobile?: string;
  sex?: string;
  age?: number;
  occupation?: string;
  userStatus?: string;
  lastActiveTime?: number;
  city?: string;
  logo?: string;
  logoStatus?: string;
}

// 用户详情
export interface IManageUserDetailEntity {
  id?: number;
  nickname?: string;
  mobile?: string;
  sex?: string;
  personalSignature?: string;
  age?: number;
  countBeLiked?: number;
  countLiked?: number;
  countMatching?: number;
  income?: number;
  occupation?: string;
  userStatus?: string;
  created?: number;
  lastActiveTime?: number;
  lastLoginLocation: string;
  city?: string;
  logo?: string;
  tags?: string;
}

// 消息翻页
export interface IManageMessagePageListEntity {
  counts?: number;
  pagesize?: number;
  pages?: number;
  page?: number;
  items?: IManageMessagePageListItemEntity[];
  totals?: IManageMessagePageListTotalEntity[];
}

// 消息翻页-项
export interface IManageMessagePageListItemEntity {
  id: number;
  nickname?: string;
  userId?: number;
  userLogo?: string;
  createDate?: number;
  text?: string;
  state?: string;
  commentCount?: number;
  likeCount?: number;
  reportCount?: number;
  transpondCount?: number;
  medias?: string[];
  chkSelected?:boolean;
}

// 消息翻页-状态合计
export interface IManageMessagePageListTotalEntity {
  title: string;
  code?: string;
  value?: number;
}

// 消息详情
export interface IManageMessageDetailEntity {
  id?: number;
  nickname?: string;
  userId?: number;
  userLogo?: string;
  createDate?: number;
  text?: string;
  medias?: string[];
  state?: number;
  topState?: number;
  commentCount?: number;
  loveCount?: number;
  reportCount?: number;
  forwardingCount?: number;
}

// 视频翻页
export interface IManageVidoesPageListEntity {
  counts?: number;
  pagesize?: number;
  pages?: number;
  page?: number;
  items?: IManageVidoesPageListItemEntity[];
}

// 视频翻页-项
export interface IManageVidoesPageListItemEntity {
  id?: number;
  nickname?: string;
  userId?: number;
  createDate?: number;
  videoUrl?: string;
  picUrl?: string;
  reportCount?: number;
  likeCount?: number;
  commentCount?: number;
  forwardingCount?: number;
}

// 评论翻页
export interface IManageMessagesCommentsPageListEntity {
  counts?: number;
  pagesize?: number;
  pages?: number;
  page?: number;
  items?: IManageMessagesCommentsPageListItemEntity[];
}

// 评论翻页-项
export interface IManageMessagesCommentsPageListItemEntity {
  id?: number;
  nickname?: string;
  userId?: number;
  content?: string;
  createDate?: number;
}

// 日志翻页
export interface ImanageLogsPageListEntity {
  counts?: number;
  pagesize?: number;
  pages?: number;
  page?: number;
  items?: ImanageLogsPageListItemEntity[];
}

// 日志翻页-项
export interface ImanageLogsPageListItemEntity {
  id?: number;
  logTime?: number;
  place?: string;
  equipment?: string;
}
