const dataFormat = require('date-format')

// 性别
export function getSexTitle(val: string) {
  switch (val) {
    case '1':
      return '男'
    case '2':
      return '女'
    default:
      return '未知'
  }
}

// 用户状态
export function getUserStatusTitle(val: string) {
  switch (val) {
    case '1':
      return '正常'
    case '2':
      return '冻结'
    default:
      return '未知'
  }
}

// 消息状态
export function getMessageStatusTitle(val: string) {
  // switch (val) {
  //   case '1':
  //     return '待审核'
  //   case '2':
  //     return '自动审核通过'
  //   case '3':
  //     return '待人工审核'
  //   case '4':
  //     return '人工审核拒绝'
  //   case '5':
  //     return '人工审核通过'
  //   case '6':
  //     return '自动审核拒绝'
  //   default:
  //     return ''
  // }
  switch (val) {
    case '1':
      return '待审核'
    case '2':
      return '已通过'
    case '3':
      return '待审核'
    case '4':
      return '已拒绝'
    case '5':
      return '已通过'
    case '6':
      return '已拒绝'
    default:
      return ''
  }
}
export function getMessageStatusType(val: string) {
  switch (val) {
    case '1':
      return 'warning'
    case '2':
      return 'success'
    case '3':
      return 'warning'
    case '4':
      return 'error'
    case '5':
      return 'success'
    case '6':
      return 'error'
    default:
      return ''
  }
}

// 置顶状态
export function getTopStatusTitle(val: string) {
  switch (val) {
    case '1':
      return '未置顶'
    case '2':
      return '置顶'
    default:
      return ''
  }
}

// 格式化时间 - 年月日时分
export function formatDate(timestamp: string) {
  return dataFormat('yyyy-MM-dd hh:mm', new Date(timestamp))
}
export function formatDateSS(timestamp: string) {
  return dataFormat('yyyy-MM-dd hh:mm:ss', new Date(timestamp))
}
export function formatDateDot(timestamp: string) {
  return dataFormat('yyyy.MM.dd hh:mm', new Date(timestamp))
}

// 格式化时间 - 时分秒
export function formatTime(timestamp: string) {
  return dataFormat('hh:mm:ss', new Date(timestamp))
}

// 今日
export function getTodayDate(): Date[] {
  const now = new Date()
  return [now, now]
}

// 最近一周
export function getThisWeekDate(): Date[] {
  const end = new Date()
  const start = new Date()
  start.setTime(start.getTime() - 3600 * 1000 * 24 * 7)
  return [start, end]
}

// 最近一个月
export function getThisLastMonthDate(): Date[] {
  const end = new Date()
  const start = new Date()
  start.setTime(start.getTime() - 3600 * 1000 * 24 * 30)
  return [start, end]
}
